Canalplan Bug Tracker



Anonymous Login
2017-10-24 12:25 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000070Canalplan [All Projects] Bugpublic2017-04-04 06:30
ReporterShultzy 
Assigned ToNick Atty 
PriorityhighSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformMicrosoftOSWindowsOS Version8.1
Product VersionProduct Build 
Target VersionFixed in Version 
Summary0000070: Can't add a place beyond the end of a waterway
DescriptionWhen trying to add a place beyond [Rhone a Sete - Lez Jonction] on the [River Lez] and adding the details the following error occurs:

Add place adjacent to **NOT FOUND**
Add between **NOT FOUND** and:

with only a [cancel] button available. O selecting [cancel] it redirect to the [CanalPlanAC Gazetteer — Places] page.

This error has arisen because there isn't a direct way to create a waterway that crosses an existing waterway. I originally created two sections of the [River Lez] (Lez and Lez2) either side of the [Rhone a Sete - Lez Jonction] and then tried to join them together but this option is not available. So I tried adding a place beyond [Rhone a Sete - Lez Jonction] with the above results.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0000251

Nick Atty (administrator)

The error message isn't very nice, but the objection is reasonable: "add place beyond" is only for extending a waterway beyond a terminus.

Is the problem that you want to have four waterways that meet at one place, and two of them need to be one waterway and the other two another? You can't do this exactly like that, but you should be able to have four waterways, two of which are sub-parts of one waterway and the others of another. That's what happens at Trent Junction for example.

Can you not just put your two "Lez"s into an overall "Lez" using the waterway tree editor (having given them slightly more descriptive names)?

~0000255

Shultzy (updater)

Trent Junction is different as its two waterways ([Grand Union Canal (Leicester Section - River Soar Navigation)] and [Grand Union Canal (Erewash Canal)])which terminate at a place on the [River Trent (Western End)].

This issue is like a crossroads, the [Canal du Rhône à Sète] and the [River Lez] cross at [Rhone a Sete - Lez Jonction]

As the [Canal du Rhône à Sète] already exists I can create two "Lez"s and merge them into an overall "Lez", I thought I might have missed something simple.

~0000972

Nick Atty (administrator)

Fixed - either by explaining or by fixing the "add place beyond" - which was horribly broken.

~0001061

Autoclose (administrator)

Closing automatically, stayed too long in feedback state. Feel free to re-open with additional information if you think the issue is not resolved.
+Notes

-Issue History
Date Modified Username Field Change
2016-01-12 17:29 Shultzy New Issue
2016-01-12 20:40 Stephen Atty Assigned To => Nick Atty
2016-01-12 20:40 Stephen Atty Status new => assigned
2016-01-12 21:59 Nick Atty Note Added: 0000251
2016-01-12 23:03 Shultzy Note Added: 0000255
2017-03-04 08:44 Nick Atty Status assigned => resolved
2017-03-04 08:44 Nick Atty Resolution open => fixed
2017-03-04 08:44 Nick Atty Note Added: 0000972
2017-04-04 06:30 Autoclose Note Added: 0001061
2017-04-04 06:30 Autoclose Status resolved => closed
+Issue History